
//	File:			Command.java
//	Author:		Tarek Hassan
//	Date:			04 July 2001
//
//	Modified by:  Paul Marlow - January 2002

public class Command {

  private String type;
  private double var1;
  private double var2;

  // constructs a Command with one variable
  public Command(String t, double x) {
    type = t;
    var1 = x;   
    var2 = -999;    // no second variable
  }
  
  // constructs a Command with two variables
  public Command(String t, double x1, double x2){
    this(t, x1);
    var2 = x2;
  }

  public String getType()
  {
    return type;
  }

  public double getVar1()
  {
    return var1;
  }

  public double getVar2()
  {
    return var2;
  }

}
